using System;

namespace FRILENSERI
{ 
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            double[] zarada = new double[n];
            for(int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                p[i] = double.Parse(s[1]) / 100;
            }

            zarada[0] = 0;

            for (int j = 0; j < n; j++)
                if (p[0] <= p[j])
                    zarada[0] += a[j];
            zarada[0] *= p[0];

            double max = zarada[0];
            for (int i = 1; i < n; i++)
            {
                zarada[i] = 0;
                for (int j = 0; j < n; j++)
                    if (p[i] <= p[j])
                        zarada[i] += a[j];
                zarada[i] *= p[i];
                if (zarada[i] > max)
                    max = zarada[i];
            }

            Console.WriteLine(max);
        }
    }
}